summaryrefslogtreecommitdiffstats
path: root/tests/sys/geom/class/nop/conf.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/sys/geom/class/nop/conf.sh')
-rw-r--r--tests/sys/geom/class/nop/conf.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/tests/sys/geom/class/nop/conf.sh b/tests/sys/geom/class/nop/conf.sh
new file mode 100644
index 0000000..e38e10c
--- /dev/null
+++ b/tests/sys/geom/class/nop/conf.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+# $FreeBSD$
+
+class="nop"
+base=`basename $0`
+
+gnop_test_cleanup()
+{
+ [ -c /dev/${us}.nop ] && gnop destroy ${us}.nop
+ geom_test_cleanup
+}
+trap gnop_test_cleanup ABRT EXIT INT TERM
+
+. `dirname $0`/../geom_subr.sh
OpenPOWER on IntegriCloud